classification
Title: Drop TYPE_INT64 from marshal in Python 3.4
Type: behavior Stage: resolved
Components: Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: dan.riti, eric.snow, larry, loewis, pitrou, python-dev
Priority: release blocker Keywords: patch

Created on 2012-07-28 17:49 by loewis, last changed 2013-04-13 20:44 by dan.riti. This issue is now closed.

Files
File name Uploaded Description Edit
marshall-remove-int64.patch dan.riti, 2013-04-13 19:22 Remove TYPE_INT64 from marshal. review
Messages (8)
msg166670 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-07-28 17:49
As a follow-up of issue15466, TYPE_INT64 can be deleted in Python 3.4.
msg186801 - (view) Author: Dan Riti (dan.riti) * Date: 2013-04-13 19:22
So I figured I'd give this one a shot...generated a patch to remove TYPE_INT64. Tests seem to pass, but please provide any guidance if I did something wrong! Thanks.
msg186826 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-04-13 20:24
Thank you, Daniel. The patch looks technically ok. Could you sign a contributor agreement? It will cover all your future contributions to Python: http://www.python.org/psf/contrib/
msg186828 - (view) Author: Dan Riti (dan.riti) * Date: 2013-04-13 20:28
Antoine, I just filled one out maybe 2 hours ago (I'm at a CPython sprint in Boston).

https://secure.echosign.com/public/viewAgreement?aid=T8FLXZG5LX3W2N&eid=T8GPRVI62IXF2Y&;
msg186830 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-04-13 20:30
> Antoine, I just filled one out maybe 2 hours ago (I'm at a CPython
> sprint in Boston).

Ah, great, thank you!
msg186835 - (view) Author: Roundup Robot (python-dev) Date: 2013-04-13 20:41
New changeset 74a440984b20 by Antoine Pitrou in branch 'default':
Issue #15480: Remove the deprecated and unused TYPE_INT64 code from marshal.
http://hg.python.org/cpython/rev/74a440984b20
msg186837 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-04-13 20:42
So, I've just tweaked the patch a bit so that ints longer than machine size are still tested for. Congrats for your first contribution!
msg186838 - (view) Author: Dan Riti (dan.riti) * Date: 2013-04-13 20:44
Looks great, thanks Antoine! =)
History
Date User Action Args
2013-04-13 20:44:31dan.ritisetmessages: + msg186838
2013-04-13 20:42:23pitrousetstatus: open -> closed
resolution: fixed
messages: + msg186837

stage: patch review -> resolved
2013-04-13 20:41:18python-devsetnosy: + python-dev
messages: + msg186835
2013-04-13 20:31:22pitrousetstage: needs patch -> patch review
2013-04-13 20:30:51pitrousetmessages: + msg186830
2013-04-13 20:28:56dan.ritisetmessages: + msg186828
2013-04-13 20:24:10pitrousetnosy: + pitrou
messages: + msg186826
2013-04-13 19:22:13dan.ritisetfiles: + marshall-remove-int64.patch

nosy: + dan.riti
messages: + msg186801

keywords: + patch
2012-11-13 02:50:38eric.snowsetnosy: + eric.snow
2012-11-09 13:18:41ezio.melottisetpriority: deferred blocker -> release blocker
nosy: + larry

type: behavior
stage: needs patch
2012-07-28 17:49:02loewiscreate